Skip to content

Attach a Contact to a Company

Request

You can attach a company to a single contact.

Security
bearerAuth
Path
contact_idstringrequired

The unique identifier for the contact which is given by Intercom

Headers
Intercom-Versionstring(intercom_version)

Intercom API version.
By default, it's equal to the version set in the app package.

Default:"2.11"
Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.11
Bodyapplication/json
idstringrequired

The unique identifier for the company which is given by Intercom

Example:"58a430d35458202d41b1e65b"
curl -i -X POST \
  'https://api.intercom.io/contacts/{contact_id}/companies' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'Intercom-Version: 2.11' \
  -d '{
    "id": "667d608d8a68186f43bafd70"
  }'

Responses

Successful

Bodyapplication/json
typestring

Value is company

Value:"company"
Example:"company"
idstringrequired

The Intercom defined id representing the company.

Example:"531ee472cce572a6ec000006"
namestringrequired

The name of the company.

Example:"Blue Sun"
app_idstringrequired

The Intercom defined code of the workspace the company is associated to.

Example:"ecahpwf5"
planobject
company_idstringrequired

The company id you have defined for the company.

Example:"6"
remote_created_atintegerrequired

The time the company was created by you.

Example:1663597223
created_atintegerrequired

The time the company was added in Intercom.

Example:1663597223
updated_atintegerrequired

The last time the company was updated.

Example:1663597223
last_request_atintegerrequired

The time the company last recorded making a request.

Example:1663597223
sizeintegerrequired

The number of employees in the company.

Example:100
websitestringrequired

The URL for the company website.

Example:"https://www.intercom.com"
industrystringrequired

The industry that the company operates in.

Example:"Software"
monthly_spendintegerrequired

How much revenue the company generates for your business.

Example:100
session_countintegerrequired

How many sessions the company has recorded.

Example:100
user_countintegerrequired

The number of users in the company.

Example:100
custom_attributesobject

The custom attributes you have set on the company.

Example:
{ "paid_subscriber": true, "monthly_spend": 155.5, "team_mates": 9 }
tagsobject

The list of tags associated with the company

segmentsobject

The list of segments associated with the company

Response
{ "type": "company", "company_id": "1", "id": "667d608d8a68186f43bafd70", "app_id": "this_is_an_id166_that_should_be_at_least_", "name": "company6", "remote_created_at": 1719492749, "created_at": 1719492749, "updated_at": 1719492749, "monthly_spend": 0, "session_count": 0, "user_count": 1, "tags": { "type": "tag.list", "tags": [] }, "segments": { "type": "segment.list", "segments": [] }, "plan": {}, "custom_attributes": {} }